> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/extenders/wisej.web.erroriconalignment.md).

# ErrorIconAlignment

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies constants indicating the locations that an error icon can appear in relation to the control with an error.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum ErrorIconAlignment : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum ErrorIconAlignment As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name            | Description                                                                           |
| --------------- | ------------------------------------------------------------------------------------- |
| **BottomLeft**  | The icon appears aligned with the bottom of the control and the left of the control.  |
| **BottomRight** | The icon appears aligned with the bottom of the control and the right of the control. |
| **MiddleLeft**  | The icon appears aligned with the middle of the control and the left of the control.  |
| **MiddleRight** | The icon appears aligned with the middle of the control and the right of the control. |
| **TopLeft**     | The icon appears aligned with the top of the control and to the left of the control.  |
| **TopRight**    | The icon appears aligned with the top of the control and to the right of the control. |

## Used By

| Name                                                                                                 | Description                                                                                                 |
| ---------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------- |
| [ErrorProvider.IconAlignment](/api/wisej.web/extenders/errorprovider.md#iconalignment)               | Returns or sets the default [ErrorIconAlignment](/api/wisej.web/extenders/wisej.web.erroriconalignment.md). |
| [ErrorProvider.GetIconAlignment](/api/wisej.web/extenders/errorprovider.md#geticonalignment-control) | Returns a value indicating where the error icon should be placed in relation to the control.                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/extenders/wisej.web.erroriconalignment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
